Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), DeferredDeletion(False), NavigationItem(False), CreatableItem(False)> _
Public Class InvoiceRowsAverageArray '// Átlagár számításhoz segéd tábla
    Inherits BaseObject

    Private _DeliveryNoteInRRFC As DeliveryNoteInRRFC
    Private _InvoiceRows As InvoiceRows
    Private _DateExecution As Date
    Private _RowType As Long

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property DeliveryNoteInRRFC As DeliveryNoteInRRFC
        Get
            Return _DeliveryNoteInRRFC
        End Get
        Set(value As DeliveryNoteInRRFC)
            SetPropertyValue("DeliveryNoteInRRFC", _DeliveryNoteInRRFC, value)
        End Set
    End Property
    Property InvoiceRows As InvoiceRows
        Get
            Return _InvoiceRows
        End Get
        Set(value As InvoiceRows)
            SetPropertyValue("InvoiceRows", _InvoiceRows, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property RowType As Long
        Get
            Return _RowType
        End Get
        Set(value As Long)
            SetPropertyValue("RowType", _RowType, value)
        End Set
    End Property
End Class
